Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.event
Interface VerificationEventGenerator

All Superinterfaces:
  org.gjt.lindfors.util.EventGenerator

All Known Subinterfaces:
  VerificationContext

public interface VerificationEventGenerator
extends org.gjt.lindfors.util.EventGenerator

<< DESCRIBE THE CLASS HERE >> For more detailed documentation, refer to the >

Since:
  JDK 1.3
Version:
  $Revision: 1.3 $
Author:
  Juha Lindfors
See Also:
  << OTHER RELATED CLASSES >>

Method Summary
`void` | `addVerificationListener(VerificationListener listener)`
`void` | `fireBeanChecked(VerificationEvent event)`
`void` | `fireSpecViolation(VerificationEvent event)`
`void` | `removeVerificationListener(VerificationListener listener)`

Method Detail

### addVerificationListener

    public void addVerificationListener(VerificationListener listener)

### removeVerificationListener

    public void removeVerificationListener(VerificationListener listener)

### fireBeanChecked

    public void fireBeanChecked(VerificationEvent event)

### fireSpecViolation

    public void fireSpecViolation(VerificationEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.